functionX-class {robustbase} | R Documentation

## Class "functionX" of Psi-like Vectorized Functions

### Description

The class `"functionX"` of vectorized functions of one argument `x` and typically further tuning parameters.

### Objects from the Class

Objects can be created by calls of the form `new("functionX", ...)`.

### Slots

`.Data`:

  Directly extends class `"function"`.

### Extends

Class `"function"`, from data part. Class `"OptionalFunction"`, by class `"function"`. Class `"PossibleMethod"`, by class `"function"`.

### Methods

No methods defined with class "functionX" in the signature.

### Author(s)

Martin Maechler

### See Also

`psiFunc()`, and class descriptions of `functionXal` for functionals of `"functionX"`, and `psi_func` which has several `functionX` slots.

[Package robustbase version 0.92-8 Index]